[Mongrel] mongrel install on win32 XP problems

Daniel Berger Daniel.Berger at qwest.com
Tue Dec 5 17:11:25 EST 2006

Luis Lavena wrote:

>> Ideally I'd like to be able to set this up as an either-or, with
>> something like "gem install win32-service --from-source" to force a
>> build if the user wants to build from source instead of using the
>> binary.  Is such an option possible?
> Daniel,
> Based on rubygems documentation and experience, if you have two gems
> with the same version, but both with different platforms (ruby and
> mswin32), rubygems will offer you a choice on which one will be
> installed.
> Basically, if you want the user build the native extensions by
> himself, download the ruby version, any other case (ala no compiler),
> download the prebuild gem.

I thought about that, but I worry it will just confuse the newbs.  I can 
see it now - "Hey, which of these am I suppose to install?".  Assuming 
gems doesn't provide an alternative I'll just have to deal with it I guess.



More information about the Mongrel-users mailing list